SpareSpare Docs
GuidesAPI Reference

Beneficiary Verification

Resolve the registered owner behind an IBAN.

POST
/api/v2.0/av/BeneficiaryVerification/Match
Authorization
Body
*object

Request Body

application/json

The model containing the beneficiary verification request details. This includes the IBAN required to retrieve the beneficiary name.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2.0/av/BeneficiaryVerification/Match" \  -H "Content-Type: application/json" \  -d '{    "iban": "string"  }'
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": {    "requestId": "string",    "result": "MATCH",    "bank": {      "englishName": "string",      "arabicName": "string",      "bankCode": "string",      "swiftCode": "string"    },    "errorDescription": "string",    "beneficiaryName": "string",    "inputBeneficiaryName": "string",    "retrievedBeneficiaryName": "string",    "accountIdentifier": "string",    "accountStatus": "string",    "executionDate": "2019-08-24T14:15:22Z"  }}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
"INVALID_DATA"
Empty